
Summary:	Tiling window manager with keyboard-oriented interface
Name:		ion3
Version:	20070608
Release:	%mkrel 5
Group:		Graphical desktop/Other
License:	Artistic
URL: 		http://iki.fi/tuomov/ion/
Source0: 	http://iki.fi/tuomov/dl/ion-3rc-%{version}.tar.bz2
Source1:	http://iki.fi/tuomov/dl/ion-doc-3rc-%{version}.tar.bz2
Patch0:		ion3-doc-makefile-topdir.patch.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:  freetype2-devel
BuildRequires:  lua-devel >= 5.1
BuildRequires:  lua >= 5.1
BuildRequires:  libltdl-devel
BuildRequires:  XFree86-devel
BuildRequires:  tetex-dvipdfm
BuildRequires:  latex2html
BuildRequires:  chrpath perl


Requires:	xterm
# for xmessage
Requires:       xmessage

%description

Ion was written as an experiment on a different kind of window man-
agement model and it tries to address the navigation problem by hav-
ing the screen divided into frames that take up the whole screen and
never overlap.

Read the manpage or go nuts

%prep
%__rm -rf $RPM_BUILD_ROOT
%setup -q -n ion-3rc-%version
tar xjf %{SOURCE1}

(
cd ion-doc-3rc-*
%patch0
)

# Fix path-names in the manpage.
#%__perl -pi -e "s#ETCDIR#"%ionetc"#g"       man/%name.1.in
#%__perl -pi -e "s#.I DOCDIR/##g"            man/%name.1.in
# %__perl -pi -e "s#.I X\(1x\)/#.I X(7x)#g"   man/%name.1.in


%build
pushd build/ac
autoconf
%configure
perl -pi -e 's#=/#=\${DESTDIR}/#g' system-ac.mk
perl -pi -e 's#INSTALL=\$\{DESTDIR\}#INSTALL=#g'  system-ac.mk

popd
make

# build doc
(
cd ion-doc-3rc-*
make all all-pdf
rm -f ionconf/images.{out,idx}
)

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=%{buildroot}
%makeinstall

cp -a ion-doc-3rc-*/{*.pdf,ionconf,ionnotes} $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d
cat >    $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/15%{name} << EOF
NAME=%name
EXEC=%{_bindir}/%{name}
DESC=%summary
SCRIPT:
exec %{_bindir}/%{name}
EOF

cat >    $RPM_BUILD_ROOT%{_sysconfdir}/X11/wmsession.d/21pwm3 << EOF
NAME=pwm3
EXEC=%{_bindir}/pwm3
DESC=%summary
SCRIPT:
exec %{_bindir}/pwm3
EOF

%post
%make_session

%postun
%make_session

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%attr(755,root,root) %{_bindir}/*

%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/bin
%{_libdir}/%{name}/mod
%{_libdir}/%{name}/lc

%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/15%{name}
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/21pwm3

%dir %{_datadir}/%{name}
%attr(755,root,root) %{_datadir}/%{name}/ion-*
%{_datadir}/%{name}/welcome*.txt

%{_datadir}/doc/%{name}
%{_datadir}/locale/*/LC_MESSAGES/*
%{_mandir}/man*/*
%{_mandir}/*/man*/*




%changelog
* Mon Jun 11 2007 Gettinther <gettinther@gmail.com>
- updated to 20070608rc

* Wed May 24 2007 Gettinther <gettinther@gmail.com>
- Added french translation & wm entry for pwm3
- Changed Lua to 5.1.2 to be in line with pclos2007 repo

* Wed May 16 2007 Gettinther <gettinther@gmail.com>
- Updated with Lua 5.1.3 release and using version 20070506 release candidate

* Tue May 15 2007 Gettinther <gettinther@gmail.com>
- initial release